Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.container
Class PluginCacheConfigurator

    java.lang.Object
      org.jivesoftware.openfire.container.PluginCacheConfigurator

    public class PluginCacheConfigurator

extends Object

A helper class to read cache configuration data for a plugin and register the defined caches with the cache factory. Definitions should look something like this: `My Cache optimistic back-size-high 131072 back-expiry 6h back-size-low 117965`

Constructor Summary
`PluginCacheConfigurator()`

Method Summary
`void` | `configure(String pluginName)`
`void` | `setInputStream(InputStream configDataStream)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginCacheConfigurator

    public PluginCacheConfigurator()

Method Detail

### setInputStream

    public void setInputStream(InputStream configDataStream)

### configure

    public void configure(String pluginName)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.